Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface RowSetMetaData

All Superinterfaces:
  ResultSetMetaData

public interface RowSetMetaData
extends ResultSetMetaData

The RowSetMetaData interface extends ResultSetMetaData with methods that allow a metadata object to be initialized. A RowSetReader may create a RowSetMetaData and pass it to a rowset when new data is read.

Field Summary

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Method Summary
`void` | `setAutoIncrement(int columnIndex, boolean flag)` Specify whether the is column automatically numbered, thus read-only.
`void` | `setCaseSensitive(int columnIndex, boolean flag)` Specify whether the column is case sensitive.
`void` | `setCatalogName(int columnIndex, String string)` Specify the column's table's catalog name, if any.
`void` | `setColumnCount(int i)` Set the number of columns in the RowSet.
`void` | `setColumnDisplaySize(int columnIndex, int size)` Specify the column's normal max width in chars.
`void` | `setColumnLabel(int columnIndex, String label)` Specify the suggested column title for use in printouts and displays, if any.
`void` | `setColumnName(int columnIndex, String name)` Specify the column name.
`void` | `setColumnType(int columnIndex, int sqltype)` Specify the column's SQL type.
`void` | `setColumnTypeName(int columnIndex, String typeName)` Specify the column's data source specific type name, if any.
`void` | `setCurrency(int columnIndex, boolean flag)` Specify whether the column is a cash value.
`void` | `setNullable(int columnIndex, int property)` Specify whether the column's value can be set to NULL.
`void` | `setPrecision(int columnIndex, int precision)` Specify the column's number of decimal digits.
`void` | `setScale(int columnIndex, int scale)` Specify the column's number of digits to right of the decimal point.
`void` | `setSchemaName(int columnIndex, String schemaName)` Specify the column's table's schema, if any.
`void` | `setSearchable(int columnIndex, boolean flag)` Specify whether the column can be used in a where clause.
`void` | `setSigned(int columnIndex, boolean flag)` Specify whether the column is a signed number.
`void` | `setTableName(int columnIndex, String tableName)` Specify the column's table name, if any.

Methods inherited from interface java.sql.ResultSetMetaData
`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

Method Detail

### setAutoIncrement

    public void setAutoIncrement(int columnIndex,
                                 boolean flag)
                          throws SQLException

  Specify whether the is column automatically numbered, thus read-only.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `flag` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setCaseSensitive

    public void setCaseSensitive(int columnIndex,
                                 boolean flag)
                          throws SQLException

  Specify whether the column is case sensitive.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `flag` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setCatalogName

    public void setCatalogName(int columnIndex,
                               String string)
                        throws SQLException

  Specify the column's table's catalog name, if any.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `string` - - column's catalog name.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnCount

    public void setColumnCount(int i)
                        throws SQLException

  Set the number of columns in the RowSet.

  Parameters:
    `i` - - number of columns.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnDisplaySize

    public void setColumnDisplaySize(int columnIndex,
                                     int size)
                              throws SQLException

  Specify the column's normal max width in chars.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `size` - - size of the column
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnLabel

    public void setColumnLabel(int columnIndex,
                               String label)
                        throws SQLException

  Specify the suggested column title for use in printouts and displays, if any.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `label` - - the column title
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnName

    public void setColumnName(int columnIndex,
                              String name)
                       throws SQLException

  Specify the column name.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `name` - - the column name
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnType

    public void setColumnType(int columnIndex,
                              int sqltype)
                       throws SQLException

  Specify the column's SQL type.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `sqltype` - - column's SQL type.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setColumnTypeName

    public void setColumnTypeName(int columnIndex,
                                  String typeName)
                           throws SQLException

  Specify the column's data source specific type name, if any.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
  Throws:
    `SQLException` - - if a database-access error occurs.

### setCurrency

    public void setCurrency(int columnIndex,
                            boolean flag)
                     throws SQLException

  Specify whether the column is a cash value.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `flag` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setNullable

    public void setNullable(int columnIndex,
                            int property)
                     throws SQLException

  Specify whether the column's value can be set to NULL.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `property` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setPrecision

    public void setPrecision(int columnIndex,
                             int precision)
                      throws SQLException

  Specify the column's number of decimal digits.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `precision` - - number of decimal digits.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setScale

    public void setScale(int columnIndex,
                         int scale)
                  throws SQLException

  Specify the column's number of digits to right of the decimal point.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `scale` - - number of digits to right of decimal point.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setSchemaName

    public void setSchemaName(int columnIndex,
                              String schemaName)
                       throws SQLException

  Specify the column's table's schema, if any.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `schemaName` - - the schema name
  Throws:
    `SQLException` - - if a database-access error occurs.

### setSearchable

    public void setSearchable(int columnIndex,
                              boolean flag)
                       throws SQLException

  Specify whether the column can be used in a where clause.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `flag` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setSigned

    public void setSigned(int columnIndex,
                          boolean flag)
                   throws SQLException

  Specify whether the column is a signed number.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `flag` - - is either true or false.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTableName

    public void setTableName(int columnIndex,
                             String tableName)
                      throws SQLException

  Specify the column's table name, if any.

  Parameters:
    `columnIndex` - - the first column is 1, the second is 2, ...
    `tableName` - - column's table name.
  Throws:
    `SQLException` - - if a database-access error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.